import { AddressComponent } from './core/component/address';
import { ElementComponent } from './core/component/element';
import { AMSComponent } from './core/component/index';
import { ComponentSignEnum, IcreateComponent, IElementOptions, IoptionsAddressParams, IoptionsParams, IPreloadOptions, ValidationResult } from './types';
export { AMSCheckoutPage } from './core/component/ckp';
export * from './types';
export declare class AMSCheckout extends AMSComponent {
    constructor(_options: IoptionsParams, channelType?: ComponentSignEnum[], productSceneVersion?: string);
}
export declare class AMSAutoDebitPay extends AMSCheckout {
    constructor(options: IoptionsParams);
    static preload(options?: IPreloadOptions): void;
}
export declare class AMSCashierPayment extends AMSCheckout {
    constructor(options: IoptionsParams);
    static preload(options?: IPreloadOptions): void;
    /**
     * Form validation function
     * If the form is currently displayed:
     *   - Successful validation: isValid is true
     *   - Failed validation: isValid is false, and error messages are displayed on the form page
     * If not on the form display page, isValid returns false
     * @returns {Promise<ValidationResult>} Returns a Promise containing the validation result
     */
    validateFields(): Promise<ValidationResult>;
}
export declare class AMSVaulting extends AMSCheckout {
    constructor(options: IoptionsParams);
    static preload(options?: IPreloadOptions): void;
}
export declare class AntomElement extends AMSCheckout {
    constructor(options: IoptionsParams);
}
export declare class AddressElement extends AddressComponent {
    constructor(options: IoptionsAddressParams);
}
export declare class AMSElement extends ElementComponent {
    constructor(options: IElementOptions);
}
export declare class AMSEasyPay {
    private core;
    constructor(options: IoptionsParams);
    static preload(options?: IPreloadOptions): void;
    createComponent(params: IcreateComponent): void;
    unmount(): void;
}
export declare class AMSAutoDebit {
    private core;
    constructor(options: IoptionsParams);
    createComponent(params: IcreateComponent): Promise<void>;
    unmount(): void;
    static preload(options?: IPreloadOptions): void;
}
export default AMSCheckout;
